查询运行时提供方 Profile¶
查询一个运行时提供方 Profile 的配置。
GET https://api.moi.matrixorigin.cn/v5/workspaces/{workspace_id}/agent-runtime-providers/{provider_id}/profiles/{profile_id}
调用前准备¶
准备具有目标工作区访问权限的个人访问令牌和目标工作区 ID。
请求参数¶
curl "https://api.moi.matrixorigin.cn/v5/workspaces/$WORKSPACE_ID/agent-runtime-providers/$PROVIDER_ID/profiles/$PROFILE_ID" -H "X-API-Key: $AI_STUDIO_API_KEY" -H "X-Workspace-ID: $WORKSPACE_ID"
字段 |
类型 |
必填 |
说明 |
|---|---|---|---|
|
string |
是 |
查看范围的工作区 ID。 |
|
string |
是 |
运行时提供方 ID。 |
|
string |
是 |
提供方 Profile ID。 |
成功响应¶
成功时返回 200 和目标 Profile。
{
"code": 0,
"data": {
"provider_id": "astra",
"profile_id": "default",
"display_name": "Astra Default",
"description": "默认运行环境",
"runtime_available": true
}
}
字段 |
类型 |
说明 |
|---|---|---|
|
object |
运行时提供方 Profile。 |
字段 |
类型 |
说明 |
|---|---|---|
|
string |
运行时提供方 ID。 |
|
string |
Profile ID。 |
|
string |
Profile 展示名称。 |
|
string |
Profile 说明;有值时返回。 |
字段 |
类型 |
说明 |
|---|---|---|
|
object |
配置结构;存在时返回。 |
字段 |
类型 |
说明 |
|---|---|---|
|
object |
支持的流式、取消、工具和文件能力。 |
字段 |
类型 |
说明 |
|---|---|---|
|
string |
Profile 状态。 |
|
string |
适配器状态。 |
|
boolean |
当前是否可用于运行。 |
|
string |
Profile 当前不可用的原因;有诊断信息时返回。 |
错误响应¶
{"code":5,"message":"runtime provider not found"}
字段 |
类型 |
说明 |
|---|---|---|
|
integer |
错误代码。 |
|
string |
面向调用者的错误信息。 |
最后更新于